## tcpspy 1.7d

=== Makefile ===
# Makefile for tcpspy
# Tim J. Robbins, 2000
# $Id: Makefile,v 2.5 2001/04/25 01:40:17 tim Stab $

# You may specify the syslog facility to use here. If in doubt, use LOG_DAEMON
# or LOG_LOCAL[0-7]. See the syslog(3) manual page for a complete list of
# facilities.
CFLAGS+=-DFACILITY=LOG_LOCAL1

# You may also override the default number of buckets in the connection table
# here, but this not usually necessary.
#CFLAGS+=-DCONNTABLE_BUCKETS=5003

# Comment out the following line to enable debugging (slower!)
CFLAGS+=-DNDEBUG

# Add any other options for the compiler here
CFLAGS+=-O2 -Wall -W


default: tcpspy
all: tcpspy doc

tcpspy: log.o rule_lexer.o rule_grammar.o rule.o tcpspy.o
	gcc log.o rule_lexer.o rule_grammar.o rule.o tcpspy.o -o tcpspy

log.o: log.c

rule_lexer.o: rule_lexer.c
rule_lexer.c: rule_grammar.c rule_lexer.l
	flex -Prule -orule_lexer.c rule_lexer.l

rule_grammar.o: rule_grammar.c
rule_grammar.c: rule_grammar.y
	bison -p rule -o rule_grammar.c -d rule_grammar.y

rule.o: rule.c

tcpspy.o: tcpspy.c

doc:
	groff -Tps -man tcpspy.8 >tcpspy.ps
	ps2pdf tcpspy.ps tcpspy.pdf

clean:
	rm -f log.o rule_lexer.o rule_grammar.o rule_lexer.c \
		rule_grammar.c rule_grammar.h rule.o tcpspy.o tcpspy \
		tcpspy.ps tcpspy.pdf

install: tcpspy
	install -m 644 -D tcpspy.8 /usr/local/man/man8/tcpspy.8
	install -m 755 -D tcpspy /usr/local/sbin/tcpspy

=== debian/changelog ===
tcpspy (1.7d-15) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/tests/control: set a CI test as superficial. (Closes: #969870)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 15:28:08 -0300

tcpspy (1.7d-14) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Apr 2020 00:00:19 -0300

tcpspy (1.7d-13) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/control:
      - Added lsb-base to Depends field.
      - Bumped Standards-Version to 3.9.8.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - manpage: renamed to 10_improve-manpage.patch.
      - Makefile: renamed to 20_add-GCC-hardening.patch.
      - add_support_to_ipv6: renamed to 30_add-support-to-ipv6.patch.
      - add_security: renamed to 40_improve-daemon-security.patch.
      - fix-FTBFS-Hurd: renamed to 50_fix-FTBFS-Hurd.patch.
      - fix-gcc-warning: renamed to 60_fix-gcc-warning.patch.
  * debian/rules: added the --no-parallel option to dh. It is required by this
    package to avoid a FTBFS.
  * debian/tcpspy.rules.5: fixed a spelling error.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 30 Dec 2016 11:47:34 -0200

tcpspy (1.7d-12) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 May 2015 10:35:06 -0300

tcpspy (1.7d-11) experimental; urgency=medium

  * QA upload.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-gcc-warning: added to fix a GCC warning.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Feb 2015 10:47:11 -0200

tcpspy (1.7d-10) unstable; urgency=medium

  * QA upload.
  * debian/patches/: added the patch 'fix-FTBFS-Hurd', that
      defines the PATH_MAX variable in Hurd systems.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 29 Oct 2014 16:46:10 -0200

tcpspy (1.7d-9) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Fixed a FTBFS in some architectures. Thanks a lot to
    Luis Valdes <luisvaldes88@gmail.com>.
  * debian/control: updated the long description.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated the upstream and packaging data.
  * debian/manpages: created to install all manpages.
  * debian/patches/:
      - Added the 'add_support_to_ipv6' patch, written by Mats Erik Andersson
        <debian@gisladisker.se> and reviewed by Joao Eriberto Mota Filho. This
        patch implements an previous patch from the same author too. Part of
        the patch was directly applied to debian/tcpspy.rules.5. Thanks a lot
        to Mats. (Closes: #616355, #616473)
      - Added the 'add_security' patch. Thanks again to Mats Erik Andersson
        <debian@gisladisker.se>. (Closes: #617424)
      - Updated the 'manpage' patch.
  * debian/tcpspy.8: removed because the upstream has a manpage too.
  * debian/tcpspy.init:
      - Added the 'Description' field to header.
      - Added a call to LSB init functions.
      - Added a test to check the '/etc/tcpspy.rules' file presence.
      - added the 'status' option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 16 Oct 2014 17:07:26 -0300

tcpspy (1.7d-8) experimental; urgency=medium

  * QA upload.
  * Trying to fix a FTBFS in some architectures,
    removing '--parallel' from debian/rules.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 16 Oct 2014 17:04:09 -0300

tcpspy (1.7d-7) experimental; urgency=medium

  * QA upload.
  * Fixed the manpage.
  * Little modification in Makefile patch.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 14 Oct 2014 16:03:27 -0300

tcpspy (1.7d-6) unstable; urgency=medium

  * QA upload.
  * Added a fake debian/watch file to explain about the upstream site.
  * Added a patch to adequate the Makefile.
  * Bumped Standards-Version to 3.9.6.
  * Bumped source format to 3.0.
  * Upgraded the debian/rules to new (reduced) format.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 Oct 2014 23:26:58 -0300

tcpspy (1.7d-5) unstable; urgency=medium

  * QA upload.
  * Updated the DH version from 7 to 9.
  * debian/control:
      - Set Debian QA Group as maintainer (see #654322).
      - Updated Standards-Version from 3.8.4 to 3.9.5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 23 Aug 2014 23:35:23 -0300

tcpspy (1.7d-4) unstable; urgency=low

  * Applied solution proposed by Craig Sanders <cas@taz.net.au>. Now
    starting up as nobody can be configured via /etc/default/tcpspy.
    (Closes: #494915).
  * Bump Standards up to 3.8.4.

 -- Pablo Lorenzzoni <spectra@debian.org>  Wed, 31 Mar 2010 17:11:26 -0300

tcpspy (1.7d-3.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #467408).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Mar 2008 07:48:08 +0200

tcpspy (1.7d-3) unstable; urgency=low

  * Fixes a line wrap bug in init.d/tcpspy (Closes: #259877)

 -- Pablo Lorenzzoni <spectra@debian.org>  Mon,  9 Aug 2004 00:40:20 -0300

tcpspy (1.7d-2) unstable; urgency=low

  * Upgraded Standard-Version
  * Add URL to the description
  * Updated upstream data (mail and URL)
  * Added /etc/default/tcpspy to init script (Closes: #134688)



=== debian/control ===
Source: tcpspy
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), bison, flex, groff
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/tcpspy
Vcs-Git: https://salsa.debian.org/debian/tcpspy.git

Package: tcpspy
Architecture: any
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Description: Incoming and Outgoing TCP/IP connections logger
 tcpspy is an administrator's tool that logs information
 about incoming and outgoing TCP/IP connections. It's
 written in C and uses no libpcap functions, unlike tcpdump.
 .
 Connections are selected for logging with rules, similarly
 to the filter expressions accepted by tcpdump. The
 following information is logged: username, local address
 and port, remote address and port, and, optionally, the
 executable filename.
 .
 This Debian version supports IPv4 and IPv6.

=== debian/tests/control ===
Test-Command: tcpspy --help 2>&1 | grep -i usage
Restrictions: needs-root, superficial
